import { WrText } from '../../../model/document';
import { LayoutContext } from '../../LayoutContext';
import { TextRun } from '../../../view/runs/TextRun';
import { TableCell } from '../../../view/TableCell';
export type HandlerContext = {
    context: LayoutContext;
    wr: WrText;
};
export declare abstract class BaseHandler {
    context: LayoutContext;
    wr: WrText;
    constructor(ctx: HandlerContext);
    /**
     * 获取所在单元格
     * @returns
     */
    getCell(): TableCell | null;
    /**
     * 获取所在子表的数据索引
     * @returns
     */
    getDataIndex(init?: 0 | null): number | null;
    getId(): string;
    getLayoutStyle(): ReturnType<typeof TextRun.textStyle2LayoutStyle>;
    abstract layout(): void;
}
